Bug 500292

Summary: NM-vpnc fails when Maximum number of clients reached on X server
Product: [Fedora] Fedora Reporter: Mildred <mildred-bug.redhat>
Component: xorg-x11-serverAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: davidz, dcbw, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-09 09:33:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mildred 2009-05-12 02:35:31 EDT
Description of problem:

When the maximum number of clients are reached on my X server (that is, opening a graphical application normally results in failure looking like:

Maximum number of clients reached
cannot open display: :0.0

The, I can't connect to my VPN any more, the message displayed by nm-applet is:

The VPN connection 'cxname' failed because there were no valid VPN secrets

It should be more explicit.


Version-Release number of selected component (if applicable):
F11-rawhide
NetworkManager 0.7.1


How reproducible:
Always


Steps to Reproduce:
1. Open many X clients (that's not that many)
2. Try to connect to the VPN
3. Look at the error message

Expected results:
A more explicit message. Something like “Close some windows and retry.”

Additional info:

$ xlsclients                                                   ~
kylae  seahorse-agent
kylae  gnome-session
kylae  gnome-settings-daemon
kylae  metacity
kylae  gnome-panel
kylae  nautilus
kylae  gmpc
kylae  gnome-volume-control-applet
kylae  gdu-notification-daemon
kylae  gnome-power-manager
kylae  seapplet
kylae  nm-applet
kylae  kerneloops-applet
kylae  vino-server
kylae  bluetooth-applet
kylae  notification-daemon
kylae  gpk-update-icon
kylae  applet.py
kylae  trashapplet
kylae  wnck-applet
kylae  multiload-applet-2
kylae  cpufreq-applet
kylae  gnome-inhibit-applet
kylae  notification-area-applet
kylae  clock-applet
kylae  gnome-screensaver
kylae  zim
kylae  zim
kylae  gedit
kylae  firefox
kylae  zim
kylae  zim
kylae  zim
kylae  roxterm
kylae  '<unknown>'
kylae  kded4
kylae  kded4
kylae  '<unknown>'
kylae  knotify4
kylae  knotify4
kylae  roxterm

$ xwininfo -root -children | wc -l                             ~
298

$ xwininfo -root -children                                                                                                                  ~

xwininfo: Window id: 0xf4 (the root window) (has no name)

  Root window id: 0xf4 (the root window) (has no name)
  Parent window id: 0x0 (none)
     291 children:
     0x2c0cd2a "About NetworkManager Applet": ("nm-applet" "Nm-applet")  446x273+413+241  +413+241
     0x2c045f0 "NetworkManager Applet": ("nm-applet" "Nm-applet")  227x148+1014+25  +1014+25
     0x6193a97 "Firefox": ("Popup" "Firefox")  88x74+187+338  +187+338
     0x619241a "Firefox": ("Popup" "Firefox")  270x26+929+319  +929+319
     0x607778f "Firefox": ("Popup" "Firefox")  585x38+187+527  +187+527
     0x6193ab5 "Firefox": ("Popup" "Firefox")  48x20+187+497  +187+497
     0x6193a9d "Firefox": ("Popup" "Firefox")  138x362+187+429  +187+429
     0x6193c50 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6193c4a "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6193c44 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6193c3e "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6193c38 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6193c32 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6193aa3 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6193234 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6192ef8 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61928eb "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x619182b "Firefox": ("Popup" "Firefox")  572x273+176+108  +176+108
     0x61be8ed "Firefox": ("Popup" "Firefox")  325x26+890+182  +890+182
     0x1000006 "gnome-settings-daemon": ("gnome-settings-daemon" "Gnome-settings-daemon")  216x216+532+492  +532+492
     0x240010e "Brightness": ("gnome-power-manager" "Gnome-power-manager")  178x102+551+549  +551+549
     0x1e002b7 "gnome-volume-control-applet": ("gnome-volume-control-applet" "Gnome-volume-control-applet")  191x52+989+25  +989+25
     0x1e000b6 "gnome-volume-control-applet": ("gnome-volume-control-applet" "Gnome-volume-control-applet")  31x152+989+25  +989+25
     0x61c1c67 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61c1c61 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61c1c5b "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61bfde8 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61bfde2 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61bfddc "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61867d2 "Firefox": ("Popup" "Firefox")  135x26+959+679  +959+679
     0x613507a "Firefox": ("Popup" "Firefox")  155x26+179+127  +179+127
     0x21f4e96 "gmpc": ("gmpc" "Gmpc")  115x172+1050+18  +1050+18
     0x61097d6 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61097d0 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61097ca "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x1c04f26 "nautilus": ("nautilus" "Nautilus")  271x424+52+357  +52+357
     0x1c05d3d "nautilus": ("nautilus" "Nautilus")  267x424+282+376  +282+376
     0x1c05c26 "nautilus": ("nautilus" "Nautilus")  284x244+0+338  +0+338
     0x17000167 "roxterm": ()  10x10+-100+-100  +-100+-100
     0x17000001 "roxterm": ("roxterm" "Roxterm")  10x10+10+10  +10+10
     0x1c00132 "nautilus": ("nautilus" "Nautilus")  170x38+1281+801  +1281+801
     0x2181cae "gmpc": ("gmpc" "Gmpc")  115x172+1047+14  +1047+14
     0x902621c "zim": ("zim" "Zim")  97x676+910+124  +910+124
     0x9026198 "zim": ("zim" "Zim")  158x172+754+462  +754+462
     0x6005d5e "Firefox": ("Popup" "Firefox")  284x26+511+190  +511+190
     0x61e751f "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61e7519 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61e750c "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x2001481 "gmpc": ("gmpc" "Gmpc")  384x130+518+321  +518+321
     0x21b6561 "gmpc": ("gmpc" "Gmpc")  189x148+503+222  +503+222
     0x480340a "notification-area-applet": ("notification-area-applet" "Notification-area-applet")  196x148+900+26  +900+26
     0x61138d5 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61138cf "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61138c9 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x1604e3a "Panel": ("gnome-panel" "Gnome-panel")  214x94+669+146  +669+146
     0x1604a3c "Panel": ("gnome-panel" "Gnome-panel")  189x154+669+86  +669+86
     0x16049cb "Panel": ("gnome-panel" "Gnome-panel")  228x124+669+56  +669+56
     0x16048c9 "Panel": ("gnome-panel" "Gnome-panel")  256x154+415+26  +415+26
     0x1604c30 "Panel": ("gnome-panel" "Gnome-panel")  277x484+415+56  +415+56
     0x16000f7 "Panel": ("gnome-panel" "Gnome-panel")  227x298+190+26  +190+26
     0x160493e "Panel": ("gnome-panel" "Gnome-panel")  186x244+669+26  +669+26
     0x609fc75 "Firefox": ("Popup" "Firefox")  221x84+127+147  +127+147
     0x1c04fa8 "nautilus": ("nautilus" "Nautilus")  274x112+341+103  +341+103
     0x6184bf7 "Firefox": ("Popup" "Firefox")  572x273+226+108  +226+108
     0x1c04ae7 "Edit Bookmarks": ("bookmarks" "Nautilus")  500x200+390+300  +390+300
     0x1603752 "Panel": ()  10x10+-100+-100  +-100+-100
     0x1600478 "Panel": ("gnome-panel" "Gnome-panel")  204x274+0+26  +0+26
     0x604cbdd "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x604cbd7 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x604cbd1 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61bde0c "Firefox": ("Popup" "Firefox")  181x404+648+0  +648+0
     0x61c8b43 "Firefox": ("Popup" "Firefox")  567x20+74+669  +74+669
     0x6041bc4 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6041bbe "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6041bb8 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6039e20 "Firefox": ("Popup" "Firefox")  358x518+919+228  +919+228
     0x901c916 "zim": ("zim" "Zim")  170x38+1281+801  +1281+801
     0x10400041 "<unknown>": ("<unknown>" "<unknown>")  200x200+0+0  +0+0
     0x1020003a "knotify4": ("knotify4" "Knotify4")  640x320+0+0  +0+0
     0x10200004 (has no name): ()  1x1+0+0  +0+0
     0x10200002 "knotify4": ("knotify4" "Knotify4")  640x320+0+0  +0+0
     0x10400003 "<unknown>": ("<unknown>" "<unknown>")  200x200+0+0  +0+0
     0x10400001 "<unknown>": ("<unknown>" "<unknown>")  10x10+10+10  +10+10
     0x10000001 (has no name): ()  1x1+0+0  +0+0
     0xfe00041 "<unknown>": ("<unknown>" "<unknown>")  200x200+0+0  +0+0
     0xfc0003a "kded4": ("kded4" "Kded4")  640x320+0+0  +0+0
     0xfc00004 (has no name): ()  1x1+0+0  +0+0
     0xfc00002 "kded4": ("kded4" "Kded4")  640x320+0+0  +0+0
     0xfe00003 "<unknown>": ("<unknown>" "<unknown>")  200x200+0+0  +0+0
     0xfe00001 "<unknown>": ("<unknown>" "<unknown>")  10x10+10+10  +10+10
     0x609261d "Firefox": ("Popup" "Firefox")  299x44+913+167  +913+167
     0x3402840 "notification-daemon": ()  10x10+-100+-100  +-100+-100
     0x3402778 "notification-daemon": ("notification-daemon" "Notification-daemon")  190x52+958+696  +958+696
     0x61a0a00 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61a09fa "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61a09f4 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61a09ee "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x61d7120 "Firefox": ("Popup" "Firefox")  212x286+688+511  +688+511
     0x5c00010 "Insight - Zim": ("zim" "Zim")  1280x726+0+27  +0+27
     0x8e00010 "Useful - Zim": ("zim" "Zim")  1095x675+177+27  +177+27
     0x9001498 "zim": ("zim" "Zim")  258x196+309+76  +309+76
     0x900ce25 "zim": ("zim" "Zim")  308x256+358+76  +358+76
     0x900146b "zim": ("zim" "Zim")  307x160+248+76  +248+76
     0x9001431 "zim": ("zim" "Zim")  194x316+184+76  +184+76
     0x900b01c "zim": ("zim" "Zim")  244x196+129+76  +129+76
     0x619803d "Firefox": ("Popup" "Firefox")  309x142+658+167  +658+167
     0x6197f62 "Firefox": ("Popup" "Firefox")  323x282+337+74  +337+74
     0x61f90c8 "Firefox": ("firefox" "Firefox")  1x1+-100+-100  +-100+-100
     0x21adc40 "gmpc": ("gmpc" "Gmpc")  189x148+468+276  +468+276
     0x28000fc (has no name): ("gpk-update-icon" "Gpk-update-icon")  488x206+0+96  +0+96
     0x2183b99 "gmpc": ("gmpc" "Gmpc")  189x148+432+242  +432+242
     0x8e010c1 "zim": ("zim" "Zim")  170x38+1281+801  +1281+801
     0xc4000de "roxterm": ()  10x10+-100+-100  +-100+-100
     0xc4000ad "roxterm": ("roxterm" "Roxterm")  164x148+342+265  +342+265
     0xc400001 "roxterm": ("roxterm" "Roxterm")  10x10+10+10  +10+10
     0x900b8e3 "zim": ("zim" "Zim")  244x244+82+76  +82+76
     0x6004d91 "Firefox": ("Popup" "Firefox")  328x238+517+321  +517+321
     0x618326c "Firefox": ("Popup" "Firefox")  249x378+226+74  +226+74
     0x6183221 "Firefox": ("Popup" "Firefox")  431x26+398+129  +398+129
     0x60027d5 "Firefox": ("Popup" "Firefox")  158x26+859+451  +859+451
     0x6006b79 "Firefox": ("Popup" "Firefox")  197x182+1019+108  +1019+108
     0x616f43e "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x616f438 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x616ba70 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x616b920 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x616b913 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x606765e "Firefox": ("Popup" "Firefox")  79x26+998+187  +998+187
     0x616a040 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6169e47 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6169e3a "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x614e8b7 "Firefox": ("Popup" "Firefox")  266x300+975+105  +975+105
     0x60da5c0 "Firefox": ("Popup" "Firefox")  125x26+698+188  +698+188
     0x610e9a1 "Firefox": ("Popup" "Firefox")  199x26+869+177  +869+177
     0x612c472 "Firefox": ("Popup" "Firefox")  221x344+148+424  +148+424
     0x61047c1 "Firefox": ("Popup" "Firefox")  197x38+848+108  +848+108
     0x6104abf "Firefox": ("Popup" "Firefox")  573x273+226+108  +226+108
     0x610c4e9 "Firefox": ("Popup" "Firefox")  156x26+792+114  +792+114
     0x9006ed6 "zim": ("zim" "Zim")  1x1+-100+-100  +-100+-100
     0x610474e "Firefox": ("Popup" "Firefox")  57x26+293+230  +293+230
     0x9a00001 "zim": ("zim" "Zim")  10x10+10+10  +10+10
     0x21a5975 "gmpc": ("gmpc" "Gmpc")  115x172+1059+16  +1059+16
     0x60e7cb5 "Firefox": ("Popup" "Firefox")  237x238+724+325  +724+325
     0x60e06c4 "Firefox": ("Popup" "Firefox")  573x273+324+108  +324+108
     0x90001da "zim": ()  10x10+-100+-100  +-100+-100
     0x9000157 "zim": ("zim" "Zim")  363x400+5+76  +5+76
     0x9000001 "zim": ("zim" "Zim")  10x10+10+10  +10+10
     0x214bb21 "gmpc": ("gmpc" "Gmpc")  111x76+280+370  +280+370
     0x214b055 "gmpc": ("gmpc" "Gmpc")  111x76+301+603  +301+603
     0x214a2d8 "gmpc": ("gmpc" "Gmpc")  189x148+415+351  +415+351
     0x21426fe "gmpc": ("gmpc" "Gmpc")  189x148+389+544  +389+544
     0x606ec78 "Firefox": ("Popup" "Firefox")  593x273+371+108  +371+108
     0x213b22a "gmpc": ("gmpc" "Gmpc")  238x76+230+160  +230+160
     0x213b11c "gmpc": ("gmpc" "Gmpc")  231x184+1+76  +1+76
     0x2000420 "gmpc": ("gmpc" "Gmpc")  227x172+112+76  +112+76
     0x2129616 "gmpc": ("gmpc" "Gmpc")  189x148+452+279  +452+279
     0x211d4f4 "gmpc": ("gmpc" "Gmpc")  189x148+490+327  +490+327
     0x2113709 "gmpc": ("gmpc" "Gmpc")  297x388+625+412  +625+412
     0x21136a9 "gmpc": ("gmpc" "Gmpc")  227x100+625+700  +625+700
     0x2113517 "gmpc": ("gmpc" "Gmpc")  189x148+438+615  +438+615
     0x21128a9 "gmpc": ("gmpc" "Gmpc")  189x148+415+615  +415+615
     0x210ae34 "gmpc": ("gmpc" "Gmpc")  189x148+400+270  +400+270
     0x210a87f "gmpc": ("gmpc" "Gmpc")  189x148+387+288  +387+288
     0x21088be "gmpc": ("gmpc" "Gmpc")  189x148+407+522  +407+522
     0x6067031 "Firefox": ("Popup" "Firefox")  155x26+271+130  +271+130
     0x6067a48 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6067a42 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6067a3c "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x60676da "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x606745f "Firefox": ("firefox" "Firefox")  1x1+-100+-100  +-100+-100
     0x20e2e2b "gmpc": ("gmpc" "Gmpc")  189x148+471+276  +471+276
     0x20e29e2 "gmpc": ("gmpc" "Gmpc")  189x148+458+270  +458+270
     0x6000760 "Firefox": ("Popup" "Firefox")  128x26+708+682  +708+682
     0x20d8c14 "gmpc": ("gmpc" "Gmpc")  297x388+670+412  +670+412
     0x20d8b1b "gmpc": ("gmpc" "Gmpc")  189x148+483+599  +483+599
     0x20d631c "gmpc": ("gmpc" "Gmpc")  189x148+503+588  +503+588
     0x20d597a "gmpc": ("gmpc" "Gmpc")  189x148+538+504  +538+504
     0x20cbfc7 "gmpc": ("gmpc" "Gmpc")  189x148+448+227  +448+227
     0x8e01411 "zim": ("zim" "Zim")  1x1+-100+-100  +-100+-100
     0x8e013cc "zim": ("zim" "Zim")  1x1+-100+-100  +-100+-100
     0x8e01331 "zim": ("zim" "Zim")  1x1+-100+-100  +-100+-100
     0x8e01271 "zim": ("zim" "Zim")  158x172+654+393  +654+393
     0x8e010cf "zim": ()  10x10+-100+-100  +-100+-100
     0x20c48a2 "gmpc": ("gmpc" "Gmpc")  227x76+658+611  +658+611
     0x20c4743 "gmpc": ("gmpc" "Gmpc")  189x148+471+515  +471+515
     0x20bb722 "gmpc": ("gmpc" "Gmpc")  189x148+497+522  +497+522
     0x20bb274 "gmpc": ("gmpc" "Gmpc")  189x148+487+537  +487+537
     0x20a45f7 "gmpc": ("gmpc" "Gmpc")  150x76+474+460  +474+460
     0x2001496 "gmpc": ("gmpc" "Gmpc")  170x38+1281+801  +1281+801
     0x20a376f "gmpc": ("gmpc" "Gmpc")  189x148+671+412  +671+412
     0x205e6ca "gmpc": ("gmpc" "Gmpc")  189x148+395+607  +395+607
     0x2054f24 "gmpc": ("gmpc" "Gmpc")  189x148+435+280  +435+280
     0x8e00001 "zim": ("zim" "Zim")  10x10+10+10  +10+10
     0x2050994 "gmpc": ("gmpc" "Gmpc")  297x388+621+321  +621+321
     0x20508cf "gmpc": ("gmpc" "Gmpc")  189x148+434+249  +434+249
     0x20505e2 "gmpc": ("gmpc" "Gmpc")  189x148+434+259  +434+259
     0x2050244 "gmpc": ("gmpc" "Gmpc")  189x148+428+255  +428+255
     0x204b2cd "gmpc": ()  10x10+-100+-100  +-100+-100
     0x2049a0f "gmpc": ("gmpc" "Gmpc")  297x388+655+359  +655+359
     0x20498b1 "gmpc": ("gmpc" "Gmpc")  189x148+468+287  +468+287
     0x20223e5 "gmpc": ("gmpc" "Gmpc")  189x280+420+217  +420+217
     0x202236b "gmpc": ("gmpc" "Gmpc")  384x130+434+230  +434+230
     0x2020c98 "gmpc": ("gmpc" "Gmpc")  189x148+479+312  +479+312
     0x1e0010a "gnome-volume-control-applet": ("gnome-volume-control-applet" "Gnome-volume-control-applet")  191x52+997+25  +997+25
     0x2017b03 "gmpc": ("gmpc" "Gmpc")  189x148+380+248  +380+248
     0x2001575 "gmpc": ("gmpc" "Gmpc")  150x76+436+357  +436+357
     0x6003cbb "Firefox": ("firefox" "Firefox")  200x200+0+0  +0+0
     0x600240c "Firefox": ()  10x10+-100+-100  +-100+-100
     0x600240b "Firefox": ()  10x10+-100+-100  +-100+-100
     0x6001869 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6001863 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x600185d "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6001855 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x600184f "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6001849 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6001819 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6001813 "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x600180d "Firefox": ("Popup" "Firefox")  200x200+0+0  +0+0
     0x6000129 "Firefox": ()  1x1+0+0  +0+0
     0x600008e "Firefox": ("firefox" "Firefox")  200x200+0+0  +0+0
     0x600005c "Firefox": ("firefox" "Firefox")  200x200+0+0  +0+0
     0x6000052 "Firefox": ("firefox" "Firefox")  200x200+0+0  +0+0
     0x600004f "Firefox": ()  10x10+-100+-100  +-100+-100
     0x600004e "Firefox": ()  10x10+-100+-100  +-100+-100
     0x600003f "Firefox": ()  10x10+-100+-100  +-100+-100
     0x6000032 (has no name): ("Toplevel" "Firefox")  200x200+0+0  +0+0
     0x6000003 "Firefox": ()  10x10+-100+-100  +-100+-100
     0x6000001 "Firefox": ("firefox" "Firefox")  10x10+10+10  +10+10
     0x5e000f2 "Text Editor": ("gedit" "Gedit")  1x1+-100+-100  +-100+-100
     0x5e00035 "Text Editor": ()  10x10+-100+-100  +-100+-100
     0x5e00001 "Text Editor": ("gedit" "Gedit")  10x10+10+10  +10+10
     0x5c0046d "zim": ()  10x10+-100+-100  +-100+-100
     0x5a00001 "zim": ("zim" "Zim")  10x10+10+10  +10+10
     0x5c00001 "zim": ("zim" "Zim")  10x10+10+10  +10+10
     0x4800003 "notification-area-applet": ()  10x10+-100+-100  +-100+-100
     0x4a00003 "gnome-screensaver": ()  10x10+-100+-100  +-100+-100
     0x4a00001 "gnome-screensaver": ("gnome-screensaver" "Gnome-screensaver")  10x10+10+10  +10+10
     0x4000001 "clock-applet": ("clock-applet" "Clock-applet")  10x10+10+10  +10+10
     0x4800001 "notification-area-applet": ("notification-area-applet" "Notification-area-applet")  10x10+10+10  +10+10
     0x4600001 "gnome-inhibit-applet": ("gnome-inhibit-applet" "Gnome-inhibit-applet")  10x10+10+10  +10+10
     0x4400001 "CPU Frequency Scaling Monitor": ("cpufreq-applet" "Cpufreq-applet")  10x10+10+10  +10+10
     0x4200001 "System Monitor": ("multiload-applet-2" "Multiload-applet-2")  10x10+10+10  +10+10
     0x1c0006e "nautilus": ()  10x10+-100+-100  +-100+-100
     0x3e00025 (has no name): ()  10x10+0+0  +0+0
     0x3e00001 "wnck-applet": ("wnck-applet" "Wnck-applet")  10x10+10+10  +10+10
     0x3c00001 "Trash Applet": ("trashapplet" "Trashapplet")  10x10+10+10  +10+10
     0x3a00001 "applet.py": ("applet.py" "Applet.py")  10x10+10+10  +10+10
     0x1c00003 "nautilus": ()  10x10+-100+-100  +-100+-100
     0x2800001 "Update Applet": ("gpk-update-icon" "Gpk-update-icon")  10x10+10+10  +10+10
     0x3400001 "notification-daemon": ("notification-daemon" "Notification-daemon")  10x10+10+10  +10+10
     0x3200001 "Bluetooth Applet": ("bluetooth-applet" "Bluetooth-applet")  10x10+10+10  +10+10
     0x3000001 "vino-server": ("vino-server" "Vino-server")  10x10+10+10  +10+10
     0x2e00001 "kerneloops-applet": ("kerneloops-applet" "Kerneloops-applet")  10x10+10+10  +10+10
     0x2c00001 "NetworkManager Applet": ("nm-applet" "Nm-applet")  10x10+10+10  +10+10
     0x2600001 "seapplet": ("seapplet" "Seapplet")  10x10+10+10  +10+10
     0x2400001 "gnome-power-manager": ("gnome-power-manager" "Gnome-power-manager")  10x10+10+10  +10+10
     0x2200001 "gdu-notification-daemon": ("gdu-notification-daemon" "Gdu-notification-daemon")  10x10+10+10  +10+10
     0x1e00001 "gnome-volume-control-applet": ("gnome-volume-control-applet" "Gnome-volume-control-applet")  10x10+10+10  +10+10
     0x2000001 "gmpc": ("gmpc" "Gmpc")  10x10+10+10  +10+10
     0x1c00001 "nautilus": ("nautilus" "Nautilus")  10x10+10+10  +10+10
     0x1000004 (has no name): ()  10x10+0+0  +0+0
     0x1600003 "Bottom Expanded Edge Panel": ("gnome-panel" "Gnome-panel")  1280x25+0+775  +0+775
     0x1600028 "Top Expanded Edge Panel": ("gnome-panel" "Gnome-panel")  1280x27+0+0  +0+0
     0x1473562 (has no name): ()  1280x748+0+27  +0+27
     0x15909a1 (has no name): ()  1003x748+0+27  +0+27
     0x140b02e (has no name): ()  1143x715+0+27  +0+27
     0x1490f41 (has no name): ()  1003x748+50+27  +50+27
     0x1465775 (has no name): ()  665x416+8+71  +8+71
     0x142f6a5 (has no name): ()  1136x720+144+27  +144+27
     0x142d1e4 (has no name): ()  1003x748+222+27  +222+27
     0x150c2db (has no name): ()  1208x748+0+27  +0+27
     0x1548c6e (has no name): ()  1280x748+0+27  +0+27
     0x141b26e (has no name): ()  658x526+310+100  +310+100
     0x1427a2f (has no name): ()  1004x738+148+27  +148+27
     0x14d4f08 (has no name): ()  1004x738+50+27  +50+27
     0x1577a56 (has no name): ()  608x476+445+232  +445+232
     0x159c676 (has no name): ()  636x431+4+49  +4+49
     0x1c0001e "x-nautilus-desktop": ("desktop_window" "Nautilus")  1280x800+0+0  +0+0
     0x1600001 "Panel": ("gnome-panel" "Gnome-panel")  10x10+10+10  +10+10
     0x140000f "metacity": ("metacity" "Metacity")  200x200+0+0  +0+0
     0x140000e (has no name): ()  1x1+-100+-100  +-100+-100
     0x1400006 (has no name): ()  1x1+-100+-100  +-100+-100
     0x1400005 (has no name): ()  1x1+-100+-100  +-100+-100
     0x1400004 (has no name): ()  1x1+-100+-100  +-100+-100
     0x1400003 (has no name): ()  1x1+-100+-100  +-100+-100
     0x1400001 "metacity": ("metacity" "Metacity")  10x10+10+10  +10+10
     0x1000003 (has no name): ()  10x10+0+0  +0+0
     0x1000001 "gnome-settings-daemon": ("gnome-settings-daemon" "Gnome-settings-daemon")  10x10+10+10  +10+10
     0xe00001 "gnome-session": ("gnome-session" "Gnome-session")  10x10+10+10  +10+10
     0xc00001 "seahorse-agent": ("seahorse-agent" "Seahorse-agent")  10x10+10+10  +10+10
     0x800001 (has no name): ()  10x10+-20+-20  +-20+-20
     0x400001 (has no name): ()  10x10+-20+-20  +-20+-20
Comment 1 Bug Zapper 2009-06-09 11:39:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Dan Williams 2009-11-06 23:35:23 EST
Not too much we can do about that...  X is required for the UI dialog and if it's not able to show some of the UI elements, if needed, then there's nothing nm-vpnc can do but fail.

Over to X for commentary on max # of clients.
Comment 3 Adam Jackson 2009-11-09 09:33:31 EST
Yeah, what Dan said.

xlsclients doesn't do what you might hope.  It really only prints the names of windows that have had their WM_COMMAND property set.  There's not even a 1:1 mapping between process and display connection.  The best you can hope for is something like:

http://ajax.fedorapeople.org/xclientlist

Which will attempt to walk the list of display connections and deduce the app on the other end.

In general, when I see this, it's a bug in the flash plugin leaking display connections, so I'm calling this CANTFIX on the assumption that flash is to blame.  But really there's nothing to be done when X is out of connections.